Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Element Class Reference
[XMLDOM Parser]

Inheritance diagram for Element:

## Detailed Description

Element node.

## Public Member Functions
const String * | getAttribute (const String &name)
const String * | getAttribute (const String *name)
const Vector< const String * > * | getAttributes ()
void | setAttribute (const String *name, const String *value)
## Protected Member Functions
| Element (const String *_tagName)
## Protected Attributes
Vector< const String * > | attributes
Hashtable< const String * > | attributesHash

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.